## GtkIconFileSel

GtkIconFileSel

## Synopsis

    #include <gtkextra.h>

    GtkWidget*          gtk_icon_file_selection_new         (const gchar *title);
    void                gtk_icon_file_selection_construct   (GtkIconFileSel *filesel,
                                                             const gchar *title);
    void                gtk_icon_file_selection_show_tree   (GtkIconFileSel *filesel,
                                                             gboolean show);
    gint                gtk_icon_file_selection_open_dir    (GtkIconFileSel *filesel,
                                                             const gchar *path);
    void                gtk_icon_file_selection_show_hidden (GtkIconFileSel *filesel,
                                                             gboolean visible);
    void                gtk_icon_file_selection_set_filter  (GtkIconFileSel *filesel,
                                                             const gchar *filter);
    const gchar *       gtk_icon_file_selection_get_selection
                                                            (GtkIconFileSel *filesel);

## Description

## Details

### gtk_icon_file_selection_new ()

    GtkWidget*          gtk_icon_file_selection_new         (const gchar *title);

`title` : |
Returns : |

### gtk_icon_file_selection_construct ()

    void                gtk_icon_file_selection_construct   (GtkIconFileSel *filesel,
                                                             const gchar *title);

`filesel` : |
`title` : |

### gtk_icon_file_selection_show_tree ()

    void                gtk_icon_file_selection_show_tree   (GtkIconFileSel *filesel,
                                                             gboolean show);

`filesel` : |
`show` : |

### gtk_icon_file_selection_open_dir ()

    gint                gtk_icon_file_selection_open_dir    (GtkIconFileSel *filesel,
                                                             const gchar *path);

`filesel` : |
`path` : |
Returns : |

### gtk_icon_file_selection_show_hidden ()

    void                gtk_icon_file_selection_show_hidden (GtkIconFileSel *filesel,
                                                             gboolean visible);

`filesel` : |
`visible` : |

### gtk_icon_file_selection_set_filter ()

    void                gtk_icon_file_selection_set_filter  (GtkIconFileSel *filesel,
                                                             const gchar *filter);

`filesel` : |
`filter` : |

### gtk_icon_file_selection_get_selection ()

    const gchar *       gtk_icon_file_selection_get_selection
                                                            (GtkIconFileSel *filesel);

`filesel` : |
Returns : |